LibreOffice: Locale Struct Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
Locale Struct Referencepublished

object represents a specific geographical, political, or cultural region. More...

## Public Attributes
string | Language
| specifies an ISO 639 Language Code.
string | Country
| specifies an ISO 3166 Country Code.
string | Variant
| specifies a BCP 47 Language Tag.

## Detailed Description

object represents a specific geographical, political, or cultural region.

An operation that requires a `Locale` to perform its task is called locale-sensitive and uses the `Locale` to tailor information for the user. For example, displaying a number is a locale-sensitive operation; the number should be formatted according to the customs/conventions of the user's native country, region, or culture.

## Member Data Documentation

## ◆ Country

string Country

specifies an ISO 3166 Country Code.

These codes are the upper-case two-letter codes as defined by ISO 3166-1. You can find a full list of these codes at a number of sites, such as:
`https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2`.

If this field contains an empty string, the meaning depends on the context.

## ◆ Language

string Language

specifies an ISO 639 Language Code.

These codes are preferably the lower-case two-letter codes as defined by ISO 639-1, or three-letter codes as defined by ISO 639-3. You can find a full list of these codes at a number of sites, such as:
`https://iso639-3.sil.org/code_tables/639/data`.

If this field contains an empty string, the meaning depends on the context.

Since LibreOffice 4.2, if the locale can not be represented using only ISO 639 and ISO 3166 codes this field contains the ISO 639-3 reserved for local use code "qlt" and a BCP 47 language tag is present in the Variant field.

## ◆ Variant

string Variant

specifies a BCP 47 Language Tag.

Since LibreOffice 4.2, if the Language field is the code "qlt" this field contains the full BCP 47 language tag. If the Language field is not "qlt" this field is empty.

You can find BCP 47 language tag resources at
`https://en.wikipedia.org/wiki/IETF_language_tag` and `https://www.w3.org/International/articles/language-tags/`.

Earlier versions of the documentation mentioned "vendor and browser-specific" codes but that was never supported. Use of any arbitrary strings in the Variant field that do not form a valid BCP 47 language tag is strongly deprecated.

The documentation for this struct was generated from the following file:

- com/sun/star/lang/Locale.idl